# Uses of Class
org.apache.lucene.search.suggest.fst.FSTCompletion

Packages that use FSTCompletion
Package
Description
org.apache.lucene.search.suggest.fst
Finite-state based autosuggest.

- ## Uses of FSTCompletion in org.apache.lucene.search.suggest.fst

  Methods in org.apache.lucene.search.suggest.fst that return FSTCompletion
  Modifier and Type
  Method
  Description
  `FSTCompletion`
  FSTCompletionBuilder.`build()`
  Builds the final automaton from a list of added entries.
  Constructors in org.apache.lucene.search.suggest.fst with parameters of type FSTCompletion
  Modifier
  Constructor
  Description
  ``
  `FSTCompletionLookup(Directory tempDir, String tempFileNamePrefix, FSTCompletion completion, boolean exactMatchFirst)`
  This constructor takes a pre-built automaton.